# DataExchange
TKVRML
Vrml

# Vrml_MatrixTransform Class Reference

defines a MatrixTransform node of VRML specifying matrix and transform
properties.
This node defines 3D transformation with a 4 by 4 matrix.
By default :
a11=1 a12=0 a13=0 a14=0
a21=0 a22=1 a23=0 a24=0
a31=0 a32=0 a33=1 a34=0
a41=0 a42=0 a43=0 a44=1
It is written to the file in row-major order as 16 Real numbers
separated by whitespace. For example , matrix expressing a translation
of 7.3 units along the X axis is written as:
1 0 0 0 0 1 0 0 0 0 1 0 7.3 0 0 1

`#include <Vrml_MatrixTransform.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_MatrixTransform ()
Standard_EXPORT | Vrml_MatrixTransform (const gp_Trsf &aMatrix)
Standard_EXPORT void | SetMatrix (const gp_Trsf &aMatrix)
Standard_EXPORT gp_Trsf | Matrix () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

gp_Trsf | myMatrix

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_MatrixTransform::Vrml_MatrixTransform | ( |  | ) |

Standard_EXPORT Vrml_MatrixTransform::Vrml_MatrixTransform | ( | const gp_Trsf & | aMatrix | ) |

## Member Function Documentation

Standard_EXPORT gp_Trsf Vrml_MatrixTransform::Matrix | ( |  | ) | const

void Vrml_MatrixTransform::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_MatrixTransform::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_MatrixTransform::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_MatrixTransform::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_MatrixTransform::SetMatrix | ( | const gp_Trsf & | aMatrix | ) |

## Field Documentation

gp_Trsf Vrml_MatrixTransform::myMatrix `[private]`

The documentation for this class was generated from the following file:

- Vrml_MatrixTransform.hxx